> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Salary History

<Info>
  Contract ids are used to identify individuals in the payroll system. One person can have multiple payroll contracts, e.g. if they have multiple jobs or roles in the organization.<br />
  In the past, payroll contracts were identified using a combination of the company and employee number. Currently, the ids are in the form 'companyId-employeeNumber'. You can use this information if you already have it, but it may not be stable in the future.
</Info>


## OpenAPI

````yaml GET /api/v1/payrollContract/{contractId}/salaries/history
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/payrollContract/{contractId}/salaries/history:
    get:
      tags:
        - payroll-controller
      operationId: getSalaryHistory
      parameters:
        - name: contractId
          in: path
          required: true
          schema:
            type: string
        - name: from
          in: query
          required: true
          schema:
            type: string
            format: year-month
            description: First month to include, inclusive
            examples:
              - 2025-01
            pattern: ^\d{4}-\d{2}$
        - name: to
          in: query
          required: true
          schema:
            type: string
            format: year-month
            description: Last month to include, inclusive
            examples:
              - 2025-12
            pattern: ^\d{4}-\d{2}$
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SalaryHistory'
components:
  schemas:
    SalaryHistory:
      type: object
      description: Salary history for one month of employment. All values are in €
      properties:
        payrollContractId:
          type: string
          description: >-
            Identifier of the payroll contract this salary history entry belongs
            to
        year:
          type: integer
          format: int32
        month:
          type: integer
          format: int32
          description: Month of the year, 1 for January, 2 for February, etc.
          maximum: 12
          minimum: 1
        totalSalary:
          type: number
          format: double
        baseSalary:
          type: number
          format: double
        values:
          type: array
          items:
            $ref: '#/components/schemas/CompensationComponentValue'
    CompensationComponentValue:
      type: object
      properties:
        compensationComponentId:
          type: string
          description: >-
            Identifier of the compensation component this value belongs to
            (Formerly name)
        value:
          type: number
          format: double

````